### Struct

# Camel NamedFlags

since: 3.24

#### Description

    struct CamelNamedFlags {
      /* No available fields */
    }

No description available.

Available since: 3.24

#### Constructors

###### camel_named_flags_new

Creates a new `CamelNamedFlags`.

since: 3.24

###### camel_named_flags_new_sized

Created a new `CamelNamedFlags`, which has reserved `reserve_size` elements. This value doesn’t influence the camel_named_flags_get_length(), which returns zero on the array returned from this function.

since: 3.24

#### Instance methods

###### camel_named_flags_clear

Removes all the elements of the array.

since: 3.24

###### camel_named_flags_contains

No description available.

since: 3.24

###### camel_named_flags_copy

Creates a copy of the `named_flags` and returns it.

since: 3.24

###### camel_named_flags_equal

Compares content of the two `CamelNamedFlags` and returns whether they equal. Note this is an expensive operation for large sets.

since: 3.24

###### camel_named_flags_free

Frees memory associated iwth the `named_flags`. Does nothing, if `named_flags` is `NULL`.

since: 3.24

###### camel_named_flags_get

No description available.

since: 3.24

###### camel_named_flags_get_length

No description available.

since: 3.24

###### camel_named_flags_insert

Inserts a flag named `name` into the `named_flags`, if it is not included already (comparing case sensitively), or does nothing otherwise.

since: 3.24

###### camel_named_flags_remove

Removes a flag named `name` from the `named_flags`.

since: 3.24